
package ejerciciosgenericos;

import java.util.Iterator;
import java.util.LinkedHashMap;

public class MapGenerico<K,V> {
    
    private LinkedHashMap<K,V> linkedHashMap = new LinkedHashMap();
    
    public void nuevoParAMap(K clave, V valor) {
       linkedHashMap.put(clave, valor);
    }
    
    @Override
    public String toString() {
        StringBuffer cadenasAcumuladas = new StringBuffer();
        
        Iterator<K> iterator = linkedHashMap.keySet().iterator();
        while (iterator.hasNext()) {
            K clave = iterator.next(); 
            cadenasAcumuladas.append(clave+" "+linkedHashMap.get(clave) + "\n");
        }
        
        return new String(cadenasAcumuladas);
    }    
    
    public V buscarPorClave(K clave) {       

        return linkedHashMap.get(clave);
    }     
    
    public boolean isClave(K clave) {       
        boolean existeClave = false;
        
        if (linkedHashMap.containsKey(clave)) {    
            existeClave = true;
        }
                
        return existeClave;
    }       
}
